<sqtm-core-customisable-dialog
  [titleKey]="data.titleKey"
  [dialogId]="'bind-requirement-to-high-level-requirement'"
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width">
      <div class="flex-row body-content m-b-10">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#1890FF'"
        ></i>
        <div class="flex-column">
          <span>{{
            'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.message'
              | translate
          }}</span>
          <span
            class="current-workspace-main-color m-t-10 m-b-10"
            style="font-weight: bold"
            >{{
              'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.not-bound-requirement-report-title'
                | translate
            }}
          </span>
          <div class="m-l-15">
            @if (data.requirementWithNotLinkableStatus.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.requirement-with-not-linkable-status'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleRequirementWithNotLinkableStatusDisplay()"
                >
                  {{
                    getDetailDisplayMessage(
                      displayRequirementWithNotLinkableStatusDetails
                    ) | translate
                  }}
                </span>
                @if (displayRequirementWithNotLinkableStatusDetails) {
                  <ul>
                    @for (
                      requirement of data.requirementWithNotLinkableStatus;
                      track requirement
                    ) {
                      <li>
                        {{ requirement }}
                      </li>
                    }
                  </ul>
                }
              </div>
            }

            @if (data.alreadyLinkedToAnotherHighLevelRequirement.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.already-linked-to-another-high-level-requirement'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="
                    toggleAlreadyLinkedToAnotherHighLevelRequirementDisplay()
                  "
                >
                  {{
                    getDetailDisplayMessage(
                      displayAlreadyLinkedToAnotherHighLevelRequirementDetails
                    ) | translate
                  }}
                </span>
                @if (displayAlreadyLinkedToAnotherHighLevelRequirementDetails) {
                  <ul>
                    @for (
                      requirement of data.alreadyLinkedToAnotherHighLevelRequirement;
                      track requirement
                    ) {
                      <li>
                        {{ requirement }}
                      </li>
                    }
                  </ul>
                }
              </div>
            }

            @if (data.alreadyLinked.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.already-linked-to-this-high-level-requirement'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleAlreadyLinkedRequirementDisplay()"
                >
                  {{
                    getDetailDisplayMessage(
                      displayAlreadyLinkedRequirementDetails
                    ) | translate
                  }}
                </span>
                @if (displayAlreadyLinkedRequirementDetails) {
                  <ul>
                    @for (
                      requirement of data.alreadyLinked;
                      track requirement
                    ) {
                      <li>
                        {{ requirement }}
                      </li>
                    }
                  </ul>
                }
              </div>
            }

            @if (data.childRequirementsInSelection.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.child-requirement-in-selection'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleChildRequirementsInSelectionDisplay()"
                >
                  {{
                    getDetailDisplayMessage(
                      displayChildRequirementsInSelectionDetails
                    ) | translate
                  }}
                </span>
                @if (displayChildRequirementsInSelectionDetails) {
                  <ul>
                    @for (
                      requirement of data.childRequirementsInSelection;
                      track requirement
                    ) {
                      <li>
                        {{ requirement }}
                      </li>
                    }
                  </ul>
                }
              </div>
            }

            @if (data.highLevelRequirementsInSelection.length > 0) {
              <div>
                <span class="m-t-5">{{
                  'sqtm-core.requirement-workspace.dialog.bind-to-high-level-requirement.high-level-requirement-in-selection'
                    | translate
                }}</span>
                <span
                  class="m-l-5 display-message"
                  (click)="toggleHighLevelRequirementsInSelectionDisplay()"
                >
                  {{
                    getDetailDisplayMessage(
                      displayHighLevelRequirementsInSelectionDetails
                    ) | translate
                  }}
                </span>
                @if (displayHighLevelRequirementsInSelectionDetails) {
                  <ul>
                    @for (
                      requirement of data.highLevelRequirementsInSelection;
                      track requirement
                    ) {
                      <li>
                        {{ requirement }}
                      </li>
                    }
                  </ul>
                }
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="m-l-5 m-t-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
